package Assigment;

import org.testng.annotations.Test;

import io.restassured.RestAssured;
import io.restassured.http.ContentType;
import io.restassured.response.Response;

import static org.testng.AssertJUnit.*;

public class RestAssured_POST_Example {

    @Test
    public void postExample() {

        RestAssured.baseURI = "https://reqres.in/api";

        String requestBody = "{\n"
                + "    \"name\": \"Sam\",\n"
                + "    \"job\": \"Project Leader\"\n"
                + "}";


        Response response = null;

        try {
            response = RestAssured.given()
                    .contentType(ContentType.JSON)
                    .body(requestBody)
                    .post("/users");
        } catch (Exception e) {
            e.printStackTrace();
        }

        System.out.println("Response :" + response.asString());

        assertEquals(201, response.getStatusCode());
        assertTrue(response.jsonPath().getString("name").contains("Sam"));
        assertFalse(response.jsonPath().getString("job").equals("Leader"));
    }
}
